curl --request PUT \
--url https://api.lendflow.com/api/applications/{application_id}/enrich \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"provider": "architecto",
"options": null,
"stage_id": null
}
'import requests
url = "https://api.lendflow.com/api/applications/{application_id}/enrich"
payload = {
"provider": "architecto",
"options": None,
"stage_id": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({provider: 'architecto', options: null, stage_id: null})
};
fetch('https://api.lendflow.com/api/applications/{application_id}/enrich', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"onqueue": true
}
}Enrich Business Credit Application
Queues enrichment of the application’s underwriting data from the requested third-party data providers. Enrichment runs asynchronously; the response confirms the work has been queued.
Authorizations
You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:
Path Parameters
The ID of the application.
Body
One underwriting provider ID or an array of provider IDs to queue. A provider must be available for the business address country and enabled for the application's client unless the deal is a funding deal.
"architecto"
Provider-specific underwriting options. Some providers require options.
null
Underwriting workflow stage ID. list_application_workflow_stages returns the application's stages with their ids. Must be a valid UUID.
null null
Response
Show child attributes
Show child attributes
Was this page helpful?